package dev.fyloz.trial.colorrecipesexplorer.repository

import dev.fyloz.trial.colorrecipesexplorer.model.Material
import dev.fyloz.trial.colorrecipesexplorer.model.MixType
import org.springframework.stereotype.Repository

@Repository
interface MixTypeRepository : NamedJpaRepository<MixType> {
    /** Gets the mix type with the given [material]. */
    fun findByMaterial(material: Material): MixType?
}
